/*
* Far Named Folders 2.x
* Copyright (c) 2002-2004 by Victor Derevyanko, RAMMuS Group
* www: http://www.rammus.ru
* e-mail: wingspan@yandex.ru
*/
#pragma once
#include "Kernel.h"

namespace parser {

/*        ?  * (    - )
"a" === "a*",  "a*"  "abc"  "a",  "b?"  "ba"  "bc"*/
bool token_is_matched_to_pattern(tstring const& stoken
								 , tstring const &spattern
								 , bool bAddTrailingAsterix = true);

class CParser
{
	bool get_command_kind(tstring const& source, 
		kr::tcommands_kinds &kind, 
		tstring &prefix,
		tstring &csdp);
//csdp - catalog, shortcut, directory, parameters 
	bool parse_csdp(tstring const&csdp, tstring &c, tstring &s, tstring &d, tstring &p);
public:
	CParser(void);
	~CParser(void);

	bool ParseString(tstring const &source, kr::tparsed_command &cmd);
};

};