/*
* Far Named Folders 2.x
* Copyright (c) 2002-2004 by Victor Derevyanko, RAMMuS Group
* www: http://www.rammus.ru
* e-mail: wingspan@yandex.ru
*/
#pragma once
#include "Kernel.h"

///  
namespace nf 
{
	typedef enum tshortcutvalue_type
	{	//  
		VAL_TYPE_LOCAL_DIRECTORY	// 
		, VAL_TYPE_NET_DIRECTORY	// 
		, VAL_TYPE_PLUGIN_DIRECTORY // 
		, VAL_ENVIRONMENT_VARIABLE	// 
		, VAL_DIRECT_PATH			//   
	} _tshortcutvalue_type;

	typedef struct tshortcut_value_parsed
	{
		bool bValueEnabled;
		tshortcutvalue_type ValueType;
		tstring value;
	} _tshortcut_value_parsed;

	tstring encode_values(TCHAR const* value_first_panel
		, TCHAR const* value_second_panel);

//  ,   
	int decode_values(
		tstring const& value
		, tshortcut_value_parsed & FirstPanelValue
		, tshortcut_value_parsed & SecondPanelValue
	);

//     
	tshortcutvalue_type get_named_folder_type(tstring const& value);
}
