/*
* Far Named Folders 2.x
* Copyright (c) 2002-2004 by Victor Derevyanko, RAMMuS Group
* www: http://www.rammus.ru
* e-mail: wingspan@yandex.ru
*/

#include "StdAfx.h"
#include "dialogeditcatalog.h"
#include "Kernel.h"


using namespace nf;
CDialogEditCatalog::CDialogEditCatalog(TCHAR const* ParentCatalog, 
									   TCHAR const* CatalogName,  
									   bool bCreateNew)
	: dialogT<CDialogEditCatalog>(g_PluginInfo, 10),
	m_bCreateNew(bCreateNew), m_ParentCatalog(ParentCatalog), m_CatalogName(CatalogName)
{
	SetDialogItems();
}

CDialogEditCatalog::~CDialogEditCatalog(void)
{
}


UINT CDialogEditCatalog::ShowModal()
{
	//    
	int nChoosedItem;
	
	::lstrcpy(m_DialogItems[ID_EDIT_CATALOG].Data, m_CatalogName.c_str());
	m_DialogItems[ID_EDIT_CATALOG].Focus = 1;

	if (Execute(nChoosedItem))
		if (nChoosedItem != ID_CANCEL)
		{	//  
			m_CatalogName = m_DialogItems[ID_EDIT_CATALOG].Data;
			return 1;
		}

	return 0;
}

tstring CDialogEditCatalog::GetCatalogName(bool bIncludeParent) const
{
	if (! bIncludeParent) return m_CatalogName;
	else return m_ParentCatalog + tstring(SLASH_CATS) + m_CatalogName;
}